Skip to main content

Get an NPS user by ID

GET 

/api/v1/ManagedAccount/ByManagedId/:managedAccountId

Returns one NPS user, including the user's name, account names, email address, last sign-in time, lock state and reviewer flag. Administrators and users with the Auditing and Reporting role can read any NPS user. Other callers can read only their own record. The policies, resources and activeSessions arrays in the response are always empty and scheduledSessionCount is 0; use the Policies call for the user's policies.

Permission required: Admin, App, Reviewer or Auditing and Reporting role. Only Admin and Auditing and Reporting can read other users' records.

Caution: The response includes the user's email address and last sign-in time.

Request​

Responses​

Returns the NPS user.